/*
 * PROBE_COPYRIGHT
 *
 * PROBE_JAVA_NAME.java
 *
 */

import com.securitycentric.metacoretex.interfaces.*;
import com.securitycentric.metacoretex.lib.*;

/**
 *
 * @author  USERNAME
 */
public class PROBE_JAVA_NAME extends AbstractVersionProbe {
    
    /** Creates a new instance of PROBE_JAVA_NAME */
    public PROBE_JAVA_NAME() {
        
        setName("PROBE_NAME");
	setFamily("PROBE_FAMILY");
        setVersion("PROBE_VERSION");
        setProbeId(PROBE_ID);
        setCopyright("PROBE_COPYRIGHT");
        
        addDepends("PROBE_VERSION_KB_KEY");
        
        setHelp("PROBE_HELP");

        setReport("PROBE_REPORT");
        setSeverity(PROBE_SEVERITY);

        setKbKey("PROBE_VERSION_KB_KEY");
        setMatchRelease(PROBE_MATCH_RELEASE);
        setTestVersion("PROBE_TEST_VERSION");
    }
}
